<?php

namespace Reloadify\Event;

use Shopware\Core\System\SalesChannel\SalesChannelContext;
use Symfony\Contracts\EventDispatcher\Event;

class AbandonedCartDeleteEvent extends Event
{
    protected string $token;

    protected SalesChannelContext $context;

    public function __construct(string $token, SalesChannelContext $context)
    {
        $this->token = $token;
        $this->context = $context;
    }

    /**
     * @return string
     */
    public function getToken(): string
    {
        return $this->token;
    }

    /**
     * @return SalesChannelContext
     */
    public function getContext(): SalesChannelContext
    {
        return $this->context;
    }


}
