<?php declare(strict_types=1);

namespace Reloadify\Migration;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Migration\MigrationStep;

class Migration1702377411AddSalesChannelAssociation extends MigrationStep
{
    public function getCreationTimestamp(): int
    {
        return 1702377411;
    }

    public function update(Connection $connection): void
    {
        $query = <<< SQL
ALTER TABLE `reloadify_abandoned_cart` ADD `sales_channel_id` BINARY(16) NOT NULL AFTER `customer_id`;
SQL;

        $connection->executeStatement($query);
    }

    public function updateDestructive(Connection $connection): void
    {
        // implement update destructive
    }
}
